# $Id: Makefile.am,v 1.3 2002/03/22 16:04:34 felfert Exp $

AUTOMAKE_OPTIONS = foreign dist-zip

SUBDIRS = lemon qlcrash Doc 

EXTRA_DIST = AUTHORS COPYING ChangeLog INSTALL README TODO \
	admin win32/*

$(top_srcdir)/subdirs:
	cd $(top_srcdir) && $(MAKE) -f admin/Makefile.common subdirs

$(top_srcdir)/acinclude.m4: $(top_srcdir)/admin/acinclude.m4.in $(top_srcdir)/admin/libtool.m4.in
	@cd $(top_srcdir) && cat admin/acinclude.m4.in admin/libtool.m4.in > acinclude.m4

MAINTAINERCLEANFILES = subdirs acinclude.m4 aclocal.m4 config.h.in \
	configure configure.files Makefile.in libtool stamp-h stamp-h.in

package-messages:
	$(MAKE) -f admin/Makefile.common package-messages
	$(MAKE) -C po merge

dist-hook:
	cd $(top_distdir) && perl admin/am_edit -padmin
	cd $(top_distdir) && $(MAKE) -f admin/Makefile.common subdirs

clobber: clean
